For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList environments
      • POSTCreate an environment
      • GETGet environment subscription credentials
      • GETGet an environment
      • PATCHUpdate an environment
      • DELDelete an environment
      • GETList guides
      • GETGet a guide
      • PATCHUpdate a guide
      • POSTCreate a guide
      • DELDelete a guide
      • GETGet guide version
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceEnvironments

Update a guide

PATCH
https://api.x.flatfile.com/v1/environments/:environmentId/guides/:guideId
PATCH
/v1/environments/:environmentId/guides/:guideId
$curl -X PATCH https://api.x.flatfile.com/v1/environments/us_env_YOUR_ID/guides/us_gu_YOUR_ID \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "description": "Updated getting started guide",
> "title": "Data import made easy",
> "metadata": {
> "category": "onboarding"
> },
> "slug": "getting-started",
> "environmentId": "commons.EnvironmentId"
>}'
1{
2 "data": {
3 "id": "us_gu_YOUR_ID",
4 "slug": "getting-started",
5 "title": "Importing your data",
6 "versions": [],
7 "blocks": [],
8 "createdAt": "2023-10-30T16:59:45.735Z",
9 "updatedAt": "2023-10-30T16:59:45.735Z",
10 "description": "Getting started guide",
11 "metadata": {
12 "category": "onboarding"
13 }
14 }
15}
Updates a guide
Was this page helpful?
Previous

Create a guide

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

environmentIdstringRequired
ID of the environment
guideIdstringRequired
ID of guide

Headers

X-Disable-Hooks"true"Required

Request

This endpoint expects an object.
descriptionstringOptional
titlestringOptional
metadatamap from strings to anyOptional
slugstringOptional
versionslist of objectsOptional
blockslist of optional maps from strings to anyOptional
environmentIdstringOptional

Response

This endpoint returns an object.
dataobject
A guide

Errors

400
Bad Request Error
404
Not Found Error